#include "Cjt_estudiants.hh"


void Cjt_estudiants::consultar_estudiant(int x, bool& trobat, 
					 Estudiant& e) const {
  int pos = cerca_dicot(vest,0,nest-1,x);
  trobat = pos < nest and vest[pos].consultar_DNI() == x; 
  if (trobat) e = vest[pos];
}


void Cjt_estudiants::modificar_estudiant(const Estudiant& e, bool& trobat) {
  int pos = cerca_dicot(vest,0,nest-1,e.consultar_DNI());
  trobat = pos < nest and vest[pos].consultar_DNI() == e.consultar_DNI(); 
  if (trobat) vest[pos] = e;
}


void Cjt_estudiants::afegir_estudiant(const Estudiant &e, bool& trobat) {
  int pos = cerca_dicot(vest,0,nest-1,e.consultar_DNI());
  trobat = pos < nest and vest[pos].consultar_DNI() == e.consultar_DNI(); 
  if (not trobat) {
     for (int i = nest-1; i >= pos; --i) vest[i+1] = vest[i];
     vest[pos] = e;
     ++nest; 
  }
}


void Cjt_estudiants::esborrar_estudiant(int x, bool& trobat) {
  int pos = cerca_dicot(vest,0,nest - 1,x);
  trobat = pos < nest and vest[pos].consultar_DNI() == x; 
  if (trobat) {
     for (int i = pos+1; i < nest; ++i) vest[i-1] = vest[i];
     --nest; 
  }
}
